import Store from "./antbuilder/core/store";
import {
	onDefaultAppLaunch,
	defaultGlobalData,
} from "./antbuilder/core/utils/appLifecycle";

if (!my.canIUse("plugin.dynamic")) {
	my.ap && my.ap.updateAlipayClient && my.ap.updateAlipayClient();
}

App(
	Store({
		onLaunch(options) {
			onDefaultAppLaunch.call(this, options);
			console.log("options ===>", options);
		},

		globalData: { ...defaultGlobalData },
	})
);
